How can I add this extension? Topic is solved

Board for discussions around the Basilisk web browser.

Moderator: satrow

User avatar
Pale Moon Rising
Knows the dark side
Knows the dark side
Posts: 3285
Joined: Tue, 06 Oct 2015, 16:59
Location: Los Angeles CA USA

How can I add this extension?

Unread postby Pale Moon Rising » Fri, 29 Dec 2017, 16:31

I would like to add this extension: Google Translator for Firefox but cannot because of this:
Google Translater extension.png
Produces message that at least FF version 57 is required. Doing a "Download anyway" I can save the file .xpi file but if I click on the download I get this:
click on download results.png
Thanks in advance for any help (this is the best translator I've been able to find which I have been using in Pale Moon for some time. Hmm, :think: ... do we need a "Basilisk Tester Tool" maybe. :?: :idea:).
Last edited by Pale Moon Rising on Fri, 29 Dec 2017, 16:33, edited 1 time in total.
Current Pale Moon(x86) Release | WIN7(64-bit) | I3 CPU, 2.53 GHz, 4G RAM

Good judgment comes from experience and a lot of that comes from bad judgment. - Will Rogers

Knowing Pale Moon is indisputably #1 is defined by knowing the totality of browsers. - Pale Moon Rising

User avatar
billmcct
Lunatic
Lunatic
Posts: 405
Joined: Tue, 04 Sep 2012, 15:19
Location: Atlanta Georgia USA

Re: How can I add this extension?

Unread postby billmcct » Fri, 29 Dec 2017, 17:17

You need this version: 2.1.0.5.1.1 Im using it in basilisk
https://addons.mozilla.org/en-US/firefo ... 1.1-signed
Last edited by billmcct on Fri, 29 Dec 2017, 17:17, edited 1 time in total.
Win 7 x64 - Pale Moon 28x x32

User avatar
Pale Moon Rising
Knows the dark side
Knows the dark side
Posts: 3285
Joined: Tue, 06 Oct 2015, 16:59
Location: Los Angeles CA USA

Re: How can I add this extension?

Unread postby Pale Moon Rising » Fri, 29 Dec 2017, 18:25

billmcct wrote:You need this version: 2.1.0.5.1.1 Im using it in basilisk
https://addons.mozilla.org/en-US/firefo ... 1.1-signed
I can do this in Pale Moon (thanks to "Moon Tester Tool") but I get the same thing as before in Basilisk (Down load anyway results - so I save the file):
GT pic 1.png
I can only "Down load anyway".
and get this:
GT pic 2.png
So now what do I do?


Addendum: Thanks to the "Moon Tester Tool" in Pale Moon I get this:
GT pic 3.png
But in Basilisk 2017.12.28 (32-bit) the AMO site is blocking the install because the site requires FF v57 or higher which Basilisk is apparently not considered to be.....
Last edited by Pale Moon Rising on Fri, 29 Dec 2017, 18:41, edited 2 times in total.
Current Pale Moon(x86) Release | WIN7(64-bit) | I3 CPU, 2.53 GHz, 4G RAM

Good judgment comes from experience and a lot of that comes from bad judgment. - Will Rogers

Knowing Pale Moon is indisputably #1 is defined by knowing the totality of browsers. - Pale Moon Rising

coffeebreak
Board Warrior
Board Warrior
Posts: 1361
Joined: Sat, 26 Sep 2015, 04:51
Location: U.S.

Re: How can I add this extension?

Unread postby coffeebreak » Fri, 29 Dec 2017, 21:55

@Pale Moon Rising,
For Basilisk, installing a locally saved copy looks like the only option for this extension (and others with similar "compatibility version limits.")

AMO uses strict compatibility these days, and 'GT for FF' kind of falls between "version stools":
Version: 2.1.0.5.1.1 has a max version of FF 52.*, and v.3.0.3.1 has max FF 57.0 and later - If a browser identifies as anything in between (53 to 56), AMO won't offer the install button for any version of this particular extension.

Off-topic:
Pale Moon Rising wrote:this is the best translator I've been able to find...
It's my favorite too.

User avatar
billmcct
Lunatic
Lunatic
Posts: 405
Joined: Tue, 04 Sep 2012, 15:19
Location: Atlanta Georgia USA

Re: How can I add this extension?

Unread postby billmcct » Fri, 29 Dec 2017, 21:58

You need to disable javascript.
about:config
javascript.enabled set to false and it will allow download and install in basilisk.
Last edited by billmcct on Fri, 29 Dec 2017, 22:01, edited 1 time in total.
Win 7 x64 - Pale Moon 28x x32

User avatar
Pale Moon Rising
Knows the dark side
Knows the dark side
Posts: 3285
Joined: Tue, 06 Oct 2015, 16:59
Location: Los Angeles CA USA

Re: How can I add this extension?

Unread postby Pale Moon Rising » Fri, 29 Dec 2017, 23:04

I still get this installing from a locally saved copy of the .xpi file (js disabled):
still get this on GT install.png
As far as AMO, with JS disabled the install button is enabled but still cannot install as I get the same problem as before:
same problem.png
Last edited by Pale Moon Rising on Fri, 29 Dec 2017, 23:07, edited 2 times in total.
Current Pale Moon(x86) Release | WIN7(64-bit) | I3 CPU, 2.53 GHz, 4G RAM

Good judgment comes from experience and a lot of that comes from bad judgment. - Will Rogers

Knowing Pale Moon is indisputably #1 is defined by knowing the totality of browsers. - Pale Moon Rising

User avatar
Pale Moon Rising
Knows the dark side
Knows the dark side
Posts: 3285
Joined: Tue, 06 Oct 2015, 16:59
Location: Los Angeles CA USA

Re: How can I add this extension?  Topic is solved

Unread postby Pale Moon Rising » Fri, 29 Dec 2017, 23:27

Okay, I got it; I am able to install Version: 2.1.0.5.1.1 of the Google Translator extension (using AMO, presumably JS disabled helped in this regard).... :clap: (apparently the most current version that will install on Basilisk as mentioned in previous posts :think:)

Thanks!! :thumbup:

(There were multiple posts that contributed to resolving the issue, so I'll just mark this post as topic solved)
Last edited by Pale Moon Rising on Fri, 29 Dec 2017, 23:38, edited 2 times in total.
Current Pale Moon(x86) Release | WIN7(64-bit) | I3 CPU, 2.53 GHz, 4G RAM

Good judgment comes from experience and a lot of that comes from bad judgment. - Will Rogers

Knowing Pale Moon is indisputably #1 is defined by knowing the totality of browsers. - Pale Moon Rising

User avatar
billmcct
Lunatic
Lunatic
Posts: 405
Joined: Tue, 04 Sep 2012, 15:19
Location: Atlanta Georgia USA

Re: How can I add this extension?

Unread postby billmcct » Sat, 30 Dec 2017, 00:04

That's why I suggested that version. I've had it installed over a month now.

Bill
Win 7 x64 - Pale Moon 28x x32

User avatar
Pale Moon Rising
Knows the dark side
Knows the dark side
Posts: 3285
Joined: Tue, 06 Oct 2015, 16:59
Location: Los Angeles CA USA

Re: How can I add this extension?

Unread postby Pale Moon Rising » Sat, 30 Dec 2017, 00:08

Thanks Bill :thumbup:
Current Pale Moon(x86) Release | WIN7(64-bit) | I3 CPU, 2.53 GHz, 4G RAM

Good judgment comes from experience and a lot of that comes from bad judgment. - Will Rogers

Knowing Pale Moon is indisputably #1 is defined by knowing the totality of browsers. - Pale Moon Rising


Return to “Basilisk”

Who is online

Users browsing this forum: No registered users and 3 guests